Summary:	The Chunky Loop Generator
Summary(pl.UTF-8):	Chunky Loop Generator - generator pętli cząstkowych
Name:		cloog-ppl
Version:	0.16.1
Release:	3
License:	LGPL v2.1+
Group:		Development/Tools
Source0:	http://www.bastoul.net/cloog/pages/download/cloog-parma-%{version}.tar.gz
# Source0-md5:	f483539b30a60a3478eea70c77b26bef
URL:		http://www.cloog.org/
BuildRequires:	autoconf >= 2.13
BuildRequires:	automake
BuildRequires:	gmp-c++-devel >= 4.1.3
BuildRequires:	gmp-devel >= 4.1.3
BuildRequires:	libtool
BuildRequires:	ppl-devel >= 0.10
BuildRequires:	texinfo >= 4.12
Requires:	%{name}-libs = %{version}-%{release}
Provides:	cloog = %{version}
Obsoletes:	cloog
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CLooG is a software which generates loops for scanning Z-polyhedra.
That is, CLooG finds the code or pseudo-code where each integral point
of one or more parametrized polyhedron or parametrized polyhedra union
is reached. CLooG is designed to avoid control overhead and to produce
a very efficient code.

This version is based on Parma Polyhedra Library (ppl).

%description -l pl.UTF-8
CLooG to oprogramowanie generujące pętle do przeszukiwania
Z-wielościanów (Z-polyhedra). Oznacza to, że CLooG znajduje kod lub
pseudokod osiągający każdy punkt całkowity jednego lub większej liczby
sparametryzowanych wielościanów lub sum sparametryzowanych
wielościanów. CLooG jest zaprojektowany z myślą o zapobieganiu
narzutowi na sterowaniu oraz generowaniu bardzo wydajnego kodu.

Ta wersja jest oparta na bibliotece ppl (Parma Polyhedra Library).

%package libs
Summary:	Chunky Loop Generator shared library - ppl based version
Summary(pl.UTF-8):	Biblioteka współdzielona Chunky Loop Generatora - wersja oparta na ppl
Group:		Libraries

%description libs
Chunky Loop Generator shared library - ppl based version.

%description libs -l pl.UTF-8
Biblioteka współdzielona Chunky Loop Generatora - wersja oparta na
ppl.

%package devel
Summary:	Header files for the ppl based version of Chunky Loop Generator
Summary(pl.UTF-8):	Pliki nagłówkowe opartej na ppl wersji Chunky Loop Generatora
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gmp-c++-devel >= 4.1.3
Requires:	gmp-devel >= 4.1.3
Requires:	ppl-devel >= 0.10
Provides:	cloog-devel = %{version}
Conflicts:	cloog-isl-devel
Conflicts:	cloog-polylib-devel

%description devel
The header files for Chunky Loop Generator library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Chunky Loop Generatora.

%package static
Summary:	Static library of ppl based version of Chunky Loop Generator
Summary(pl.UTF-8):	Statyczna biblioteka opartej na ppl wersji Chunky Loop Generatora
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static library of ppl based version of Chunky Loop Generator.

%description static -l pl.UTF-8
Statyczna biblioteka opartej na ppl wersji Chunky Loop Generatora.

%prep
%setup -q -n cloog-parma-%{version}

%build
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL="%{__install} -p" \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cloog

%files libs
%defattr(644,root,root,755)
%doc cloog-core/README
%attr(755,root,root) %{_libdir}/libcloog-ppl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcloog-ppl.so.1

%files devel
%defattr(644,root,root,755)
%doc cloog-core/doc/cloog.pdf
%attr(755,root,root) %{_libdir}/libcloog-ppl.so
%{_libdir}/libcloog-ppl.la
%dir %{_includedir}/cloog
%{_includedir}/cloog/*.h
%{_includedir}/cloog/matrix
%{_includedir}/cloog/ppl
%{_pkgconfigdir}/cloog-ppl.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libcloog-ppl.a
%changelog
* Sun Jul 29 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cloog-ppl.git;a=log;h=master

* Sun Jul 29 2018 Jakub Bogusz <qboosh@pld-linux.org> 3005ce9
- -devel Conflicts: cloog-isl-devel cloog-polylib-devel; release 3

* Wed Mar 09 2016 Jakub Bogusz <qboosh@pld-linux.org> 8429230
- release 2

* Sun Jul 08 2012 Elan Ruusamäe <glen@pld-linux.org> 5c49036
- remove conflict, see qboosh devel-en post

* Fri Jul 06 2012 Elan Ruusamäe <glen@pld-linux.org> f2da78a
- remove versioned obsoletes, won't likely work with multiple providers

* Fri Jul 06 2012 Elan Ruusamäe <glen@pld-linux.org> e5793b8
- conflict before split

* Fri Jul 06 2012 Elan Ruusamäe <glen@pld-linux.org> cb11aac
- versioned obsoletes

* Thu Jul 05 2012 Jakub Bogusz <qboosh@pld-linux.org> 2ee4f54
- updated to 0.16.1
- info patch no longer relevant (only .pdf is now built from .texi)
- separated -libs package

* Thu Jul 05 2012 Jakub Bogusz <qboosh@pld-linux.org> ca25500
- use cloog-ppl as Name (other versions will appear soon, based on different sources)
- fixed info handling (fix-info-dir must be run in postun, not preun

* Thu May 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 7d0ca50
- added info patch (unify direntry)
- removed obsolete sed call

* Wed May 23 2012 Jakub Bogusz <qboosh@pld-linux.org> d6553cf
- desc fixes, pl (unsure about Z-polyhedron translation though)
- ghost soname symlink
- package .la (no pkg-config support)
- package static library

* Thu Dec 29 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 370eeaf
- up to 0.15.11

* Thu Dec 29 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4a150d4
- rel 1

* Mon Nov 14 2011 Elan Ruusamäe <glen@pld-linux.org> b29f388
- new from fedora repo

